Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.security
Class RunAsSecurityInterceptor

    java.lang.Object
      org.jboss.aspects.security.RunAsSecurityInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor

public class RunAsSecurityInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor

An interceptor that enforces the run-as identity declared by a bean.

Version:
  $Revision: 1.4.2.1 $
Author:
  Scott Stark., Dain Sundstrom.

Constructor Summary
`RunAsSecurityInterceptor()`

Method Summary
`protected org.jboss.security.RunAsIdentity` | `getAnnotationRunAsIdentity(org.jboss.aop.joinpoint.Invocation invocation)`
`String` | `getName()`
`protected org.jboss.security.RunAsIdentity` | `getRunAsIdentity(org.jboss.aop.joinpoint.Invocation invocation)`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunAsSecurityInterceptor

    public RunAsSecurityInterceptor()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### getRunAsIdentity

    protected org.jboss.security.RunAsIdentity getRunAsIdentity(org.jboss.aop.joinpoint.Invocation invocation)

### getAnnotationRunAsIdentity

    protected org.jboss.security.RunAsIdentity getAnnotationRunAsIdentity(org.jboss.aop.joinpoint.Invocation invocation)

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.